purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Crash

Synopsis

- type HasCallStack = ?callStack :: CallStack
- internalError :: HasCallStack => String -> a

# Documentation

type HasCallStack = ?callStack :: CallStack #

Request a CallStack.

NOTE: The implicit parameter `?callStack :: CallStack` is an implementation detail and should not be considered part of the `CallStack` API, we may decide to change the implementation in the future.

@since base-4.9.0.0

internalError :: HasCallStack => String -> a #

Exit with an error message and a crash report link.